#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);cout.tie(NULL);
    long long n;
    cin>>n;
    long long a[n];
    for(long long i=0;i<n;i++)cin>>a[i];
    long long q;
    cin>>q;
    for(long long i=0;i<q;i++)
    {
        long long l,r;
        cin>>l>>r;
        bool p1=true,p2=true;
        for(int i=l;i<r&&p2;i++)
        {
            if(a[i]>a[i+1])
                if(p1)p1=false;
                else p2=false;
        }
        if(p2)cout<<"DA";
        else cout<<"NE";
    }
}